#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int a[n];
    double p[n], z = 0, m = 0;
    for (int i = 0; i < n; i++){
        cin >> a[i] >> p[i];
        z = z + a[i];
        p[i] = p[i] / 100;
    }
    for (int i = 0; i < n - 1; i++){
        for (int j = 0; j < n - i - 1; j++){
            if (p[j] > p[j + 1]){
                swap(p[j], p[j + 1]);
                swap(a[j], a[j + 1]);
           	}
    	}
    }
    for (int i = 0; i < n; i++){
        if (z * p[i] > m) m = z * p[i];
        z = z - a[i];
    }
    cout << m;
	return 0;
}